/*--------------------------------------------------------------------------*/
/* Config file for xled                                                     */
/*                                                                          */
/* Copyright (c) 1997 by Jan Schoenepauck <schoenep@uni-wuppertal.de> and   */
/* Joachim Gassen <joachim@fb4-1112.uni-muenster.de>                        */
/* (aka Fast Forward Productions)                                           */
/*                                                                          */
/* Check http://fb4-1112.uni-muenster.de/ffwd for further information       */
/*--------------------------------------------------------------------------*/
/*--------------------------------------------------------------------------*/
/* Edit these #defines to customize the default behaviour of xled.          */
/*--------------------------------------------------------------------------*/

/*--------------------------------------------------------------------------*/
/* The default mode of operation: 1 = vbox mode                             */
/*                                2 = mail mode                             */
/*                                3 = front-end mode                        */

#define DEFAULT_MODE 1

/*--------------------------------------------------------------------------*/
/* The default path for vbox messages (you will probably want to at least   */
/* edit this one)                                                           */

#define INCOMING_DIR "/var/spool/vbox/user/incoming"

/*--------------------------------------------------------------------------*/
/* Newer vbox versions (version greater than 1.1) use a different style     */
/* of distinguishing between old and new messages. Uncomment the following  */
/* line if your vbox uses the new method                                    */

/* #define _NEW_VBOX_VERSION 1 */

/*--------------------------------------------------------------------------*/
/* The default mail spool-file to read when running xled in "-mail" mode    */
/* (you will probably want to edit this one too):                           */

#define MAIL_SPOOL_FILE "/var/spool/mail/user"

/*--------------------------------------------------------------------------*/
/* The command to execute if the xled window is clicked                     */

#define EXEC_COMMAND  "xterm -T VBOX -e vbox &"

/*--------------------------------------------------------------------------*/
/* The command executed by default to obtain the value to be displayed when */
/* running xled in "-frontend"-mode                                         */

#define BACK_END_COMMAND  "(eval exit `who | grep -c \".\"`)"

/*--------------------------------------------------------------------------*/
/* The time interval (in seconds) between two checks for new messages:      */

#define CHECK_PERIOD 5

/*--------------------------------------------------------------------------*/
/* Number of digits to be displayed                                         */

#define DIGITS 2

/*--------------------------------------------------------------------------*/
/* The default colors (ZF_COLOR and ZL_COLOR specify the colors to be used  */
/* for displaying a value of zero in two-color mode)                        */

#define FG_COLOR "red"
#define BG_COLOR "grey10"
#define LO_COLOR "#600510"
#define ZF_COLOR "grey40"
#define ZL_COLOR "grey15"

/*--------------------------------------------------------------------------*/
/* The default window title                                                 */

#define TITLE "xled"


/* --------------------------   That's all folks   ------------------------ */
