/* windows.h
 * Header file with variable/function declarations for windows.c
 *
 * this code is part of the xled program
 *
 * Copyright 1997 Jan Schoenepauck & Joachim Gassen 
 * aka Fast Forward Productions
 *
 * check out http://fb4-1112.uni-muenster.de/ffwd
 *
 */

#ifndef _WINDOWS_H
#define _WINDOWS_H

/* Data structure for windows */

typedef struct {
  char name[40];    
  int x, y;
  int w, h;
  Window window; 
  XSizeHints hints;
  XFontStruct *font;
  GC gc;
} Win;

extern void create_window (Win *win, Window parent, int use_p, int x, int y,
                          int w, int h, int grav, char *label, 
                          unsigned long bg, unsigned long fg,
                          XFontStruct *font, Pixmap icon, Pixmap mask);
extern int map_window (Win *win, int raised);
extern void discard_exposures (Window window);

#endif
              














